package com.lovcoding.day04;

import java.util.Scanner;

public class Test04_While01 {
    public static void main(String[] args) {
        //输入的数字必须是1-100；不是 提示 重新输入一直到输入正确。

        Scanner scanner = new Scanner(System.in);
        System.out.println("请输入1-100");
        //循环
        while (true){
            int number = scanner.nextInt();
            //判断
            if ( number > 0 &&  number <= 100 ){
                System.out.println("输入正确="+number);
                break;
            }else{
                System.out.println("输入错误，请输入1-100");
            }
        }
    }
}
